package com.yihu.jw.entity.door;


import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 服务工单居民确认操作日志记录实体
*
* @author Administrator on  2019年03月20日
*
*/
@Entity
@Table(name = "wlyy_door_patient_confirm_log")
public class WlyyDoorPatientConfirmLogDO extends UuidIdentityEntityWithOperator {

    /**
	 * 工单id
	 */
	private String orderId;

    /**
	 * 居民
	 */
	private String patient;

    /**
	 * 居民姓名
	 */
	private String patientName;

    /**
	 * 确认操作类型：1-确认基础信息无误或变更，2-确认上门医生变更上门信息，3-同意工单转接,4-同意取消工单
	 */
	private Integer type;

    /**
	 * 操作描述
	 */
	private String description;


	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

	@Column(name = "patient")
    public String getPatient() {
        return patient;
    }
    public void setPatient(String patient) {
        this.patient = patient;
    }

	@Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

	@Column(name = "type")
    public Integer getType() {
        return type;
    }
    public void setType(Integer type) {
        this.type = type;
    }

	@Column(name = "description")
    public String getDescription() {
        return description;
    }
    public void setDescription(String description) {
        this.description = description;
    }



}